#include "PdfDocument.h"
#include "PdfWriter.h"
#include "PdfObject.h"
#include "File.h"

int main()
{
    auto document = std::make_unique<PdfDocument>();

    PdfWriter writer;
    const auto output = writer.ToString(document);

    File pdf_file("TestPdfWriter.pdf");
    pdf_file.SetAccessMode(File::AccessMode::Write);
    pdf_file.Open();
    pdf_file.WriteText(output);
    return 0;
}
